﻿Imports System.Linq
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.ComponentModel.DataAnnotations

Public Class TestModel

    <Required(ErrorMessage:="Please supply a Name")>
    <Display(Name:="Test Name")>
    <StringLength(10, MinimumLength:=2, ErrorMessage:="Please supply a valid Name (between 2 and 10 characters long)")>
    Public Property Name As String

    <Display(Name:="Test Description")>
    <StringLength(100)>
    Public Property Description As String

    <Display(Name:="Persons List")>
    Public Property Persons As PersonList(Of Person)

End Class

Public Class PersonList(Of T As Person)
    Inherits BindingList(Of T)

End Class

Public Class Person
    Public Property FirstName As String
    Public Property LastName As String
End Class