﻿@Imports IGTest.Models
@Imports Infragistics.Web.Mvc
@ModelType IGTest.TestModel 
@Code
    ViewData("Title") = "IG Test Home"
End Code

<div class="page-heading">
    <h1><span>Home</span></h1>
</div>

<div class="container-fluid">

    <div class="panel panel-default">
        <div class="panel-heading">
            <h2>Properties</h2>
        </div>
        <div class="panel-body">

            @Using Html.BeginForm("Save", "Home", Nothing, FormMethod.Post, New With {.class = "form-horizontal", .role = "form", .id = "formSAVE"})
                @<text>


                    @Html.ValidationSummary(True, "", New With {.class = "text-danger"})

                    <div class="form-group">
                        @Html.LabelFor(Function(m) m.Name, New With {.class = "col-sm-2 control-label"})
                        <div class="col-sm-8">
                            @Html.TextBoxFor(Function(m) m.Name, New With {.id = "txtName", .class = "form-control"})
                            @Html.ValidationMessageFor(Function(m) m.Name, "", New With {.class = "text-danger"})
                        </div>
                        <label class="col-sm-2 control-label"> </label> <!-- pad to 12 -->
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Description</label>
                        <div class="col-sm-8">
                            @Html.TextAreaFor(Function(m) m.Description, New With {.id = "txtDescription", .class = "form-control"})
                            @Html.ValidationMessageFor(Function(m) m.Description, "", New With {.class = "text-danger"})
                        </div>
                        <label class="col-sm-2 control-label"> </label> <!-- pad to 12 -->
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(Function(m) m.Persons, New With {.class = "col-sm-2 control-label"})
                        <div class="col-sm-8">

                            @(Html.Infragistics() _
                                .Grid(Model) _
                                .ID("gridPersons") _
                                .Columns(Function(column)
                                                 column.[For](Function(c) c.FirstName).HeaderText("First Name")
                                                 column.[For](Function(c) c.LastName).HeaderText("Last Name")
                                         End Function) _
                                .DataBind() _
                                .Render())

                            @Html.ValidationMessageFor(Function(m) m.Persons, "", New With {.class = "text-danger"})

                            @(Html.Hidden("gridTransactions"))

                        </div>
                        <label class="col-sm-2 control-label"> </label> <!-- pad to 12 -->
                    </div>

                </text>
            End Using

        </div>
    </div>

</div> <!-- container-fluid -->

@section Scripts 
@Scripts.Render("~/bundles/jqueryval")
End Section
